/*
 * DBeaver - Universal Database Manager
 * Copyright (C) 2010-2024 DBeaver Corp and others
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jkiss.dbeaver.model.ai;

/**
 * AI completion constants
 */
public class AICompletionConstants {

    // Global props

    public static final String AI_DISABLED = "ai.completion.disabled";
    public static final String AI_COMPLETION_EXECUTE_IMMEDIATELY = "ai.completion.executeImmediately";


    public static final String AI_INCLUDE_SOURCE_TEXT_IN_QUERY_COMMENT = "ai.completion.includeSourceTextInQuery";
    public static final String AI_SEND_TYPE_INFO = "ai.completion.sendType";
    public static final String AI_SEND_DESCRIPTION = "ai.completion.description";
    public static final String AI_COMPLETION_MAX_CHOICES = "ai.completion.maxChoices";

    // Datasource-specific props

    public static final String AI_META_TRANSFER_CONFIRMED = "ai.meta.transferConfirmed";
    public static final String AI_META_SCOPE = "ai.meta.scope";
    public static final String AI_META_CUSTOM = "ai.meta.customObjects";

}

