/*
 * DBeaver - Universal Database Manager
 * Copyright (C) 2010-2024 DBeaver Corp and others
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jkiss.dbeaver.tasks.ui;

import org.jkiss.dbeaver.model.runtime.features.DBRFeature;

/**
 * Task features
 */
public interface TaskFeatures {

    DBRFeature CATEGORY_TASKS = DBRFeature.createCategory("Tasks", "Task features");

    DBRFeature TASKS_VIEW_OPEN = DBRFeature.createFeature(CATEGORY_TASKS, "Open task manager");
    DBRFeature TASKS_CREATE = DBRFeature.createFeature(CATEGORY_TASKS, "Create task");
    DBRFeature TASKS_DELETE = DBRFeature.createFeature(CATEGORY_TASKS, "Delete task");
    DBRFeature TASKS_EXECUTE = DBRFeature.createFeature(CATEGORY_TASKS, "Start task");

}
